Subject: Re: bug#7949: 24.0.50; GNU Emacs with Xaw3d does not launch as X client

From: Jan Djärv <[email-masked]>
Date: Thu, 03 Feb 2011 14:47:25 +0100

2011-02-03 11:58, Peter Dyballa skrev:
>
> Am 01.02.2011 um 08:20 schrieb Jan Djärv:
>
>> This is supposing the error handler is invoked.
>
>
> Is the error handler invoked? If so, it does not seem to work. Xterm or xfd
> clearly say that the font cannot be loaded and quit. Why is GNU Emacs spinning
> around in something like an infinite loop?
>
> Jeremy Huddleston keeps saying:
>
>> Now the reason emacs is spinning is because it's not handling the error
>> correctly. It's calling XSync() from within its x_error_handler().
>

It turns out that XtCloseDisplay also calls XSync.  I removed all XSync from 
the error handler.  Can you try with a frech checkout from trunk?

	Jan D.